Skip to content

RUCKUS Edge (1.0.4)

Overview

Rate Limit

For the Edge REST API the following will be true:

  • Limits are applied to each tenant.
  • A maximum of 200 calls can be made per second.
  • Each second 100 calls will be returned to be used.
Download OpenAPI description
Languages
Servers
RUCKUS One API host for North American region.
https://api.ruckus.cloud
RUCKUS One API host for European region.
https://api.eu.ruckus.cloud
RUCKUS One API host for Asian region.
https://api.asia.ruckus.cloud

Edge DNS Configuration

Manage the DNS server for a Edge.

Operations

Edge Cluster Configuration

Manage the Edge cluster.

Operations

Edge LAG Configuration

Manage the link aggregation group for Edge devices.

Operations

Edge LAG Subinterface

Manage the subinterface of a LAG.

Operations

Create Subinterface

Request

Create a subinterfaces of a LAG.

Path
venueIdstringrequired
edgeClusterIdstringrequired
serialNumberstringrequired

The SN of the Edge device

Example: 966B4AF92A7B5711EDB27B000C29D14F2E
lagIdinteger(int32)required

ID of the LAG

Example: 0
Bodyrequired
vlaninteger(int32)>= 1required

The virtual LAN ID of the subinterface.

portTypestringrequired

The port type of the subinterface.

Enum"WAN""LAN""CLUSTER""UNCONFIGURED"
ipModestring

The IP mode for the subinterface.

Default "DHCP"
Enum"DHCP""STATIC"
ipstring

The IP address to be assigned to the port.

subnetstring

The IP subnet mask to be assigned to the port.

gatewaystring

The gateway address of the port.

corePortEnabledboolean

Whether to mark this port as a core port.

Default false
accessPortEnabledboolean

Whether to mark this port as a access port.

Default false
{ "vlan": 1, "portType": "WAN", "ipMode": "DHCP", "ip": "string", "subnet": "string", "gateway": "string", "corePortEnabled": false, "accessPortEnabled": false }

Responses

Accepted

Body
requestIdstring

A unique identifier for the specific API request.

responseany

The response body containing the actual result data.

linksArray of objects(Link)

A collection of related resource links (HATEOAS) allowing clients to discover related resources.

Response
{ "requestId": "string", "response": null, "links": [ {} ] }

Get Subinterface

Request

Get the subinterface of a LAG.

Path
venueIdstringrequired
edgeClusterIdstringrequired
serialNumberstringrequired

The SN of the Edge device

Example: 966B4AF92A7B5711EDB27B000C29D14F2E
lagIdinteger(int32)required

ID of the LAG

Example: 0
subInterfaceIdstringrequired
No request payload

Responses

OK

Body
idstringread-only
vlaninteger(int32)>= 1required

The virtual LAN ID of the subinterface.

portTypestringrequired

The port type of the subinterface.

Enum"WAN""LAN""CLUSTER""UNCONFIGURED"
ipModestring

The IP mode for the subinterface.

Default "DHCP"
Enum"DHCP""STATIC"
ipstring

The IP address to be assigned to the port.

subnetstring

The IP subnet mask to be assigned to the port.

gatewaystring

The gateway address of the port.

corePortEnabledboolean

Whether to mark this port as a core port.

Default false
accessPortEnabledboolean

Whether to mark this port as a access port.

Default false
Response
{ "id": "string", "vlan": 1, "portType": "WAN", "ipMode": "DHCP", "ip": "string", "subnet": "string", "gateway": "string", "corePortEnabled": false, "accessPortEnabled": false }

Delete Subinterface

Request

Delete a subinterfaces of a LAG.

Path
venueIdstringrequired
edgeClusterIdstringrequired
serialNumberstringrequired

The SN of the Edge device

Example: 966B4AF92A7B5711EDB27B000C29D14F2E
lagIdinteger(int32)required

ID of the LAG

Example: 0
subInterfaceIdstringrequired
No request payload

Responses

Accepted

Body
requestIdstring

A unique identifier for the specific API request.

responseany

The response body containing the actual result data.

linksArray of objects(Link)

A collection of related resource links (HATEOAS) allowing clients to discover related resources.

Response
{ "requestId": "string", "response": null, "links": [ {} ] }

Partial Update Subinterface

Request

Partial update a subinterface of a LAG.

Path
venueIdstringrequired
edgeClusterIdstringrequired
serialNumberstringrequired

The SN of the Edge device

Example: 966B4AF92A7B5711EDB27B000C29D14F2E
lagIdinteger(int32)required

ID of the LAG

Example: 0
subInterfaceIdstringrequired
Bodyrequired
vlaninteger(int32)>= 1required

The virtual LAN ID of the subinterface.

portTypestringrequired

The port type of the subinterface.

Enum"WAN""LAN""CLUSTER""UNCONFIGURED"
ipModestring

The IP mode for the subinterface.

Default "DHCP"
Enum"DHCP""STATIC"
ipstring

The IP address to be assigned to the port.

subnetstring

The IP subnet mask to be assigned to the port.

gatewaystring

The gateway address of the port.

corePortEnabledboolean

Whether to mark this port as a core port.

Default false
accessPortEnabledboolean

Whether to mark this port as a access port.

Default false
{ "vlan": 1, "portType": "WAN", "ipMode": "DHCP", "ip": "string", "subnet": "string", "gateway": "string", "corePortEnabled": false, "accessPortEnabled": false }

Responses

Accepted

Body
requestIdstring

A unique identifier for the specific API request.

responseany

The response body containing the actual result data.

linksArray of objects(Link)

A collection of related resource links (HATEOAS) allowing clients to discover related resources.

Response
{ "requestId": "string", "response": null, "links": [ {} ] }

Tunnel Profile Configuration

Manage the tunnel profile.

Operations

Edge Subinterface Configuration

Manage the subinterface of a physical port.

Operations

Edge Static Route Configuration

Manage the static routes for a Edge.

Operations

Edge Multicast DNS Profile

Manage the Multicast DNS Profile for Edge devices.

Operations

Edge Troubleshooting

Manage troubleshooting operations for the devices.

Operations

Edge DHCP

Manage the DHCP services for Edge devices.

Operations

Edge Port Configuration

Manage the port of a Edge.

Operations

ARP Termination Settings

Configure ARP termination settings for a cluster.

Operations

Edge Compatibility Checking

Check the compatibility of Edge devices.

Operations

Edge Device Management

Edge device management operations.

Operations